package com.unitesk.requality.core;

import java.util.List;
import java.util.UUID;

import org.eclipse.core.commands.ExecutionException;


public interface IDeleteHandler {
    public boolean isSuitableFor(TreeNode tn);
    public String[] getWarnings(List <TreeNode> nodes);
    public void process(List <TreeNode> nodes, List<UUID> deleted, boolean multinodes) throws ExecutionException;
    public String titleOverride(List <TreeNode> nodes);
}
