package com.unitesk.requality.eclipse.handlers.copypaste;

import java.util.List;

import org.eclipse.core.commands.ExecutionException;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.eclipse.ui.cnf.RequalityCNF;
import com.unitesk.requality.nodetypes.Requirement;

public class PasteEclipseHandler extends PasteSiblingHandler {

    @Override
    public Object execute(org.eclipse.core.commands.ExecutionEvent event) throws ExecutionException{
    	List<TreeNode> parent = RequalityCNF.getSelectedNodes();
        if(parent == null || parent.size() != 1)
        	return null;
       return execute(parent.get(0),null,true,false,false,false);
    };
    public Object execute(TreeNode node,TreeNode lastNode,boolean copyTree, boolean skipTransaction,boolean skipDialogs,boolean autoRename){
         boolean se = checkSibling(), si = checkInto();
         if(lastNode!=null)
        	 if(!se)
        		 return null;
         	else
         		return pasteNodes(node,lastNode,copyTree,skipTransaction,skipDialogs,autoRename);
         String tp = CopyPasteHelper.getInstance().getNodes().get(0).getType();
         if(se && (tp.equals(Requirement.TYPE_NAME)||!si))
         	return pasteNodes(node.getParent(),node,copyTree,skipTransaction,skipDialogs,autoRename);
         if(si)
         	return pasteNodes(node,null,copyTree,skipTransaction,skipDialogs,autoRename);
         return null;
    }
    @Override
    public boolean isEnabled() {
    	return checkSibling()||checkInto();
    }
}