package com.unitesk.requality.eclipse.ui.cnf;

import java.text.Collator;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerSorter;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.core.TreeNodeComparator;

public class RequalitySorter extends ViewerSorter {

    public RequalitySorter() {
    }

    public RequalitySorter(Collator collator) {
        super(collator);
    }

    @Override
    public int compare(Viewer viewer, Object e1, Object e2) {
        if (!(e1 instanceof TreeNode)) {
            return super.compare(viewer, e1, e2);
        }
        if (!(e2 instanceof TreeNode)) {
            return super.compare(viewer, e1, e2);
        }
        TreeNode n1 = (TreeNode) e1;
        TreeNode n2 = (TreeNode) e2;
        return TreeNodeComparator.getComparator(n1.getTreeDB()).compare(n1, n2);
    }
}
