package com.unitesk.requality.eclipse.wizards;

import java.util.Collections;
import java.util.Map;

import org.eclipse.jface.dialogs.IDialogSettings;
import org.eclipse.jface.wizard.Wizard;

public abstract class DocWizard extends Wizard {
	private IDialogSettings ds = null;
	/***
	 * Set dialog settings. Custom wizard needs to define
	 * "keys" attribute here as a set of names for returning
	 * attributes 
	 * @param ds
	 */
	@Override
	public void setDialogSettings(IDialogSettings ds){
		this.ds = ds;
	}
	@Override 
	public IDialogSettings getDialogSettings() {
		return ds;
	}
	public Map<String, String> getDefaultSettings() {
		return Collections.EMPTY_MAP;
	}
}
